Subject: Re: [PATCH] brcmfmac: firmware: Fix crash in brcm_alt_fw_path

From: Kalle Valo <[email-masked]>
Date: Wed, 19 Jan 2022 12:00:08 +0200

Phil Elwell <[email-masked]> writes:

> On 19/01/2022 06:01, Kalle Valo wrote:
>> Phil Elwell <[email-masked]> writes:
>>
>>> The call to brcm_alt_fw_path in brcmf_fw_get_firmwares is not protected
>>> by a check to the validity of the fwctx->req->board_type pointer. This
>>> results in a crash in strlcat when, for example, the WLAN chip is found
>>> in a USB dongle.
>>>
>>> Prevent the crash by adding the necessary check.
>>>
>>> See: https://github.com/raspberrypi/linux/issues/4833
>>>
>>> Fixes: 5ff013914c62 ("brcmfmac: firmware: Allow per-board firmware binaries")
>>> Signed-off-by: Phil Elwell <[email-masked]>
>>
>> I think this should go to v5.17.
>
> Is that an Ack? 

It's a note to myself and other maintainers/reviewers that I'm planning
to take this to the wireless tree. At the moment I'm waiting for other
people to comment.

> Are you asking me to submit the patch in a different way?

No need, unless something is found during review.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches